/* picocss */
/* Light scheme */
[data-theme="light"],
:root:not([data-theme="dark"]) {
    --primary: #1e88e5;
    --primary-hover: #07488a;
    /* Adjusted light mode hover color */
    --primary-focus: rgba(30, 136, 229, 0.125);
    --primary-inverse: #FFF;
}

/* Dark scheme (Auto) */
/* Automatically enabled if the user has Dark mode enabled */
@media only screen and (prefers-color-scheme: dark) {
    :root:not([data-theme]) {
        --primary: #1e88e5;
        --primary-hover: #3d6fbb;
        /* Adjusted dark mode hover color */
        --primary-focus: rgba(30, 136, 229, 0.25);
        --primary-inverse: #FFF;
    }
}

/* Dark scheme (Forced) */
/* Enabled if forced with data-theme="dark" */
[data-theme="dark"] {
    --primary: #1e88e5;
    --primary-hover: #3d6fbb;
    /* Adjusted dark mode hover color */
    --primary-focus: rgba(30, 136, 229, 0.25);
    --primary-inverse: #FFF;
}

/* Blue (Common styles) */
:root {
    --form-element-active-border-color: var(--primary);
    --form-element-focus-color: var(--primary-focus);
    --switch-color: var(--primary-inverse);
    --switch-checked-background-color: var(--primary);
}

/* picocss */
/* body>main {
    padding-top: 35px;
    padding-bottom: 35px;
} */

/* nav */
nav img {
    padding-left: 13px;
    width: 40px;
}


.logo strong {
    color: var(--h1-color)
}

.logo:hover strong {
    color: var(--primary)
}

nav a {
    text-decoration: none;
}

nav a:focus {
    background-color: transparent;
}

/*nav*/

/* headings */
hgroup:after {
    display: block;
    max-width: 100px;
    margin-top: 1rem;
    border-bottom: 0.125rem solid var(--primary);
    content: "";
}

/* headings */

/* accordion */
details {
    padding: 0px;
    border: var(--border-width) solid var(--accordion-border-color);
}

details[open] {
    padding: 20px;
}

details summary {
    padding: 20px;
}

details[open]>summary {
    padding: 0px;
}

details[data-tooltip] {
    border-bottom: var(--border-width) solid var(--accordion-border-color);
    cursor: auto;
}

/* accordion */


/* hero image */
.hero:not(.medium-zoom-image--opened) {
    height: 435px;
    width: 100%;
    object-fit: cover;
    margin-bottom: var(--typography-spacing-vertical);
    transform: scale(0.99);
}

img.rnd:not(.medium-zoom-image--opened) {
    border-radius: var(--pico-border-radius);
}

/* hero image */

.gallery img:not(.medium-zoom-image--opened) {
    width: 100%;
    height: 100%;
    box-shadow: 0 0 0 2px var(--pico-dropdown-border-color);
}

.gallery div {
    text-align: center;
}

.gallery a {
    color: var(--h1-color)
}

footer div {
    text-align: center;
}

.abt article {
    margin: 10px;
}

/* front weather grid */
.weather-grid div {
    box-shadow: 0 0 0 2px var(--pico-dropdown-border-color);
    padding: 15px;
    border-radius: var(--pico-border-radius);
}

.weather-grid strong {
    font-size: 30px;
}

.news-card button {
    padding: 5px 15px;
}


body {
    background: linear-gradient(180deg,
            rgba(255, 153, 51, 0.06),
            rgba(255, 153, 51, 0.015) 40%,
            transparent 80%);
}

article {
    background: transparent;
    box-shadow: none;
    padding: 0;
}

.skiptranslate {
    display: none !important;
}

body {
    top: 0 !important;
}